<template>
  <div id="kt_header_menu_wrapper" class="header-menu-wrapper header-menu-wrapper-left">
    <!--begin::Header Menu-->
    <div
      id="kt_header_menu"
      class="header-menu header-menu-left header-menu-mobile header-menu-layout-default"
    >
      <!--begin::Header Nav-->
      <ul class="menu-nav">
        <!--  <li class="menu-item menu-item-open menu-item-submenu menu-item-rel" data-menu-toggle="click" aria-haspopup="true">
          <a href="javascript:;" class="menu-link menu-toggle">
            <span class="menu-text">داشبورد</span>
            <i class="menu-arrow" />
          </a>
          <div class="menu-submenu menu-submenu-classic menu-submenu-right">
            <ul class="menu-subnav">
              <li class="menu-item menu-item-active" aria-haspopup="true">
                <a href="index.html" class="menu-link">
                  <span class="menu-text">Latest Updated</span>
                  <span class="menu-desc" />
                </a>
              </li>
              <li class="menu-item" aria-haspopup="true">
                <a target="_blank" href="https://keenthemes.com/metronic/preview/demo2/builder.html" class="menu-link">
                  <span class="menu-text">Layout Builder</span>
                  <span class="menu-desc" />
                </a>
              </li>
            </ul>
          </div>
        </li>-->
        <li
            v-bind:class="['menu-item menu-item-rel',{ 'menu-item-active': hasActiveChildren('/') }]"
            data-menu-toggle="click"
            aria-haspopup="true"
        >
          <router-link to="/" class="menu-link menu-toggle">
            <span class="menu-text">لیست رزومه ها</span>
            <span class="menu-desc" />
            <i class="menu-arrow" />
          </router-link>
        </li>
        <!--<li
            v-bind:class="['menu-item menu-item-rel',{ 'menu-item-active': hasActiveChildren('/resume/status') }]"
            data-menu-toggle="click"
            aria-haspopup="true"
        >
          <router-link to="/resume/status" class="menu-link menu-toggle">
            <span class="menu-text">وضعیت رزومه</span>
            <span class="menu-desc" />
            <i class="menu-arrow" />
          </router-link>
        </li>-->
      </ul>
      <!--end::Header Nav-->
    </div>
    <!--end::Header Menu-->
  </div>
</template>

<script>
export default {
  name: "HeaderMenu",
  data() {
    return {};
  },

  async mounted() {},

  methods: {
    hasActiveChildren(match) {
      return this.$route["path"] === match;
    }
  }
};
</script>

<style scoped>
</style>
